## pkg-order 1.02

=== debian/changelog ===
pkg-order (1.02) frozen unstable; urgency=low

  * Removed hardcoded dependency on dpkg (used to compare versions). Now
    it allows the user to specify alternate version compare methods. 

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  2 Apr 1998 16:34:42 -0600

pkg-order (1.01) unstable; urgency=low

  * BUG Fix.  When matching a header name with the ignored
    list, $key can contain metacharacters (e.g. '+'), so it should be
    protected with \Q..\E. Additionally, header names could be contained
    in others, so it's safer to check for space or the ends of the string
    explicitly. One regular expression changed.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Mar 1998 12:56:11 -0600

pkg-order (1.00) unstable; urgency=low

  * Really made pkg order give help. closes: Bug#17836
  * Added the concept of Ignored Headers so that we may cut down on memory
    consumption by ignoring irrelevant stuff like Descriptions. There are
    headers considered Vital which may not be ignored (Package Status
    Version Provides Pre-Depends Conflicts Depends Recommends
    Suggests). This is already being used by dftp. 

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 14 Mar 1998 14:04:41 -0600

pkg-order (0.27) unstable; urgency=low

  * One typo and one thinko fix.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 10 Mar 1998 15:49:01 -0600

pkg-order (0.26) unstable; urgency=low

  * Handle the case where the provider of a virtual package is removed. 
  * Added 5 new tests for ordering, including the Chimera case from
    Culus. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Mar 1998 16:20:43 -0600

pkg-order (0.25) unstable; urgency=low

  * Added a new test
  * Added stuff to the tests to ptint out the new forced marks etc
  * Added new marks processing to handle strange conflict loops 
  * Added a #! line to appease lintian
  * All that is left is to selectively ignore headers that are unimportant
    to rty to put a lid on memory usage.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Mar 1998 01:47:08 -0600

pkg-order (0.24) unstable; urgency=low

  * Added changes proposed by Roman for adding virtual dependencies for
    the case where , package A , version v-, is installed; it has been
    flagged as being upgraded to version v+, and we have a new package B
    being installed that conflicts A (<< v) (where v- < v < v+). In this
    case, pkg A should be upgraded before package B else dpkg has a hissy
    fit. 

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Feb 1998 02:54:04 -0600

pkg-order (0.23) unstable; urgency=low

  * Changed the copyright to be Artistic or GPL.
  * Minor tweaks to the rules file.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Feb 1998 13:33:03 -0600

pkg-order (0.22) unstable; urgency=low

  * Fixed old FSF address in the copyright file.
  * Fixed an oversight in debian/rules that caused /usr/bin to have a
    downright weird permission.
  * This should fix all known lintian reports.
  * Also upgraded to standards version 2.4.0.0

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Feb 1998 13:45:01 -0600

pkg-order (0.21) unstable; urgency=medium

  * Fixed a typo in the example code in pkg-order.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Feb 1998 12:11:27 -0600

pkg-order (0.20) unstable; urgency=low

  * Really fix "Unknown option: help". closes: Bug#17836
  * Fix typos in changelog.Personally, I do not think it is right to muck
    with older changelog entries.  closes: Bug#17896
  * While I am closing bugs, I shall also close the big wishlist bug. I
    have already send in my explanation of why the wishlist belongs to an
    as yet unwritten package. closes: Bug#17922
  * Added list-diff example sub in pkg-order (this is an example; use at
    your own risk). It is under a dozen lines of code, so stuff like this
    is not hard to do.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  8 Feb 1998 15:31:24 -0600

pkg-order (0.19) unstable; urgency=low

  * Found and squashed a subtle bug involving dependency alternates, and
    the dependency being satisfied in an alternate only found in the new
    packages list; which left obsolete warnings behind for the unfulfilled
    primary dependency (obsolete, since the dependency was satisfied by
    the alternate). closes: Bug#17850.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  8 Feb 1998 15:01:33 -0600

pkg-order (0.18) unstable; urgency=low

  * Fixed typo in pkg order, nre-->new. closes: Bug#17859
  * Added the word "already" to disambiguate a sentence. closes: Bug#17854
  * Added an --help option, so that people do not get the startling phrase
    "Unknown option: help" before the help text. closes: Bug#17836
  * Made the changelog file go to /usr/doc/changelog.gz, as per
    policy. Fixed email in the copyright file. Removed debian/README. 
    closes: Bug#17837
  * Added a distinction between an unmatched dependency, and a pkg name
    match in a conflict context, but with no real conflict (version were
    not correct for a conflict). I have not gone far enough to tweak
    dependencies (creating virtual dependencies to handle odd upgrade
    situations, but something shall be done soon.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  5 Feb 1998 14:13:18 -0600

pkg-order (0.17) unstable; urgency=low

  * More bug fixes, thanks to Roman Hodek. He really should get better
    billing on this package. The fixes are a typo in List.pm, and
    additional defensive quoting of regular expressions in a couple of
    places.
  * Well, on that note, put in an acknowledgment of Roman's contribution in
    the README files.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 23 Jan 1998 15:12:45 -0600

pkg-order (0.16) unstable; urgency=low

  * Fixed description in control file. fixes: Bug#16606.
  * Added routines to mark a package, UN mark a package, test for a mark, and
    show all marks on a package. Also modified the dependency

