=== debian/control ===
Source: pkg-order
Section: misc
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 2.4.0.0

Package: pkg-order
Architecture: all
Depends: perl (>= 5.001), bsdmainutils
Description: A Package dependency checker and install ordering tool
 It does dependency checks, if you wish. It knows the difference
 between installed, new (and available) packages, and the relationship
 fields (pre-depends, depends, recommends, and suggests). (For
 example, the current packages list need not be read in unless you
 want dependency checks; you may already have done that and now merely
 wish an ordering). It comes with a Test::Harness test suite, to
 protect the world against my typos. Oh, it knows about epochs as well
 if your dpkg does. This could be the basis of mass compiling the
 packages on a new architecture, or to build a release from scratch.
 .
 It creates associative arrays of currently installed packages
 (/var/lib/dpkg/status), and new packages (given a packages file at
 the command line). Then, in the checking dependency phase, for each
 package in the new packages list, it looks at the dependencies, and
 ensure that each dependency is satisfied in either the new list or
 the installed list. If the directive is satisfied from the list of
 new packages, that package is added to the list of packages to be
 topographically sorted. It understands Pre-Depends and will insert
 breaks into the sorted list to separate the installation process into
 separate runs as required to satisfy Pre-Dependencies.
 .
 All this is a set of perl5 libraries, so people may use the API in
 their own scripts.
