## pkg-order 1.12

=== debian/changelog ===
pkg-order (1.12) frozen unstable; urgency=low

  * Use absolute links when related links would not work, for the
    /usr/doc/ symlink.
  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Mar 2000 01:50:04 -0600

pkg-order (1.11) frozen unstable; urgency=low

  * Fixed an upgrade bug when /usr/doc happens to be a symlink, and does
    not point to /usr/share/doc. A couple of people were bitten by this. 
  * New contrib script added. closes: Bug#58788

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

pkg-order (1.10) frozen unstable; urgency=low

  * For some reason, Dependency.pm was corrupt in the last
    upload. Fixed. closes: Bug#58136

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 15 Feb 2000 12:57:53 -0600

pkg-order (1.09) frozen unstable; urgency=low

  * Use the new settings of Perl config module to set install library
    paths. 
  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 15:17:21 -0600

pkg-order (1.08) frozen unstable; urgency=low

  * Fixed a typo that mangled man pages. closes: Bug#44574

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 26 Jan 2000 00:26:38 -0600

pkg-order (1.07) unstable; urgency=low

  * Moved to the new perl policy.
  * moved to Standards-Version 3.0.0 partially (/usr/doc not yet moved) 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Jul 1999 14:48:56 -0500

pkg-order (1.06) unstable; urgency=low

  * Handle error output from tsort separately. closes: Bug#33069

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 May 1999 08:53:35 -0500

pkg-order (1.05) unstable; urgency=low

  * ensure that error output from pkg-order goes to SDERR, not
    intersperced with stdout. closes: Bug#32880
  * Made conflict checking optional in pkg-order. closes: Bug#34066
  * Makes sure we conflict with another package providing a virtual
    package that we too provide. closes: Bug#33070
  * Make sure we continue searching even if we get a dependency failure,
    since a virtual package may provide a match later on. closes: Bug#33071
  * Fixed spurious conflict detection. closes: Bug#33077
  * Added tests so that the failure mode in these bug reports can be
    tested for. 

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 15 May 1999 05:47:55 -0500

pkg-order (1.04) unstable; urgency=low

  * A package should be able to conflict with itself, according to
    dpkg. Who are we to argue? fxes: BUG#32431

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Jan 1999 19:02:29 -0600

pkg-order (1.03) unstable; urgency=low

  * Fixed a minor typo in the man page. While at it, also ran spell check
    on the Class Heirarchy document. fixes: BUG#32197.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 23 Jan 1999 13:44:16 -0600
