=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.0.0.0
 
 Package: pkg-order
 Architecture: all
-Depends: perl (>= 5.001), bsdmainutils
+Depends: perl5, bsdmainutils, fileutils (>= 4.0)
 Description: A Package dependency checker and install ordering tool
  It does dependency checks, if you wish. It knows the difference
  between installed, new (and available) packages, and the relationship
