=== debian/rules ===
#!/usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author	    : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On	    : Wed Jan 29 15:59:58 1997
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Feb  8 15:16:19 2000
## Last Machine Used: glaurung.green-gryphon.com
## Update Count	    : 40
## Status	    : Unknown, Use with caution!
## HISTORY	    :
## Description	    :
##
###############################################################################

#
# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
#                          sed 's/^Version: *//')
#

ifndef PERL
PERL = /usr/bin/perl
endif

FILES_TO_CLEAN = debian/files debian/buildinfo debian/substvars t/Order
STAMPS_TO_CLEAN = stamp-configure stamp-build stamp-binary Order
DIRS_TO_CLEAN  = debian/tmp

install_file=    install -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory=  install -p -d -o root -g root -m 755

package = $(shell grep Source debian/control | sed 's/^Source: //')
version = $(shell $(PERL) -n0777e 'if ($$. == 1 && m/\(([\S]+)\)/o){print "$$1\n";}' debian/changelog)

SRCTOP  = $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi;)
deb_rule = $(MAKE) -f $(SRCTOP)/debian/rules
TMPTOP  = $(SRCTOP)/debian/tmp
PRIVLIB = $(shell $(PERL) -e 'use Config; print "$$Config{'privlibexp'}\n";')
ARCHLIB = $(shell $(PERL) -e 'use Config; print "$$Config{'archlibexp'}\n";')
DOCDIR	= $(TMPTOP)/usr/share/doc/$(package)
BINDIR	= $(TMPTOP)//usr/bin
DOCBASE = $(TMPTOP)/usr/share/doc-base
MENUDIR = $(TMPTOP)/usr/lib/menu/
MAN1DIR = $(TMPTOP)/usr/share/man/man1
MAN3DIR = $(TMPTOP)/usr/share/man/man3
INSTALLPRIVLIB = $(TMPTOP)/$(shell \
                  $(PERL) -e 'use Config; print "$$Config{'installprivlib'}\n";')
INSTALLARCHLIB = $(TMPTOP)/$(shell \
                  $(PERL) -e 'use Config; print "$$Config{'installarchlib'}\n";')
CONFIG  = INSTALLDIRS=perl INSTALLMAN1DIR=$(MAN1DIR) \
          INSTALLMAN3DIR=$(MAN3DIR) \
          INSTALLPRIVLIB=$(INSTALLPRIVLIB)\
          INSTALLARCHLIB=$(INSTALLARCHLIB)

all build: configure stamp-build
stamp-build:
# Builds the binary package.
	$(checkdir)
	-test ! -f stamp-configure && \
	    $(MAKE) -f debian/rules configure
	$(MAKE)
#	$(MAKE) test
	dpkg -l perl 'libc*' make dpkg-dev | \
	  awk '$$1 == "ii" { printf("%s-%s\n", $$2, $$3) }' > \
	   debian/buildinfo
	touch stamp-build

configure: stamp-configure  Makefile
Makefile stamp-configure:
	$(checkdir)
	echo "$$""VERSION = '$(version)';" > patchlevel
	echo "1;" >> patchlevel
	-test ! -f stamp-configure && \
	   $(PERL) Makefile.PL  $(CONFIG) && touch stamp-configure


clean:
# Undoes the effect of `make -f debian/rules build'.
	$(checkdir)
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)
	-test -f Makefile && $(MAKE) realclean
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS

binary: binary-arch binary-indep
binary-arch: build

binary-indep: build stamp-binary
stamp-binary:
# Makes a binary package.
	test 0 = $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-build || $(deb_rule) build
	rm -rf $(TMPTOP)
	$(make_directory)  $(TMPTOP)
	chmod g-s	   $(TMPTOP)
	$(make_directory)  $(TMPTOP)/DEBIAN
	$(make_directory)  $(INSTALLPRIVLIB)
	$(make_directory)  $(INSTALLARCHLIB)
	$(make_directory)  $(BINDIR)
	$(make_directory)  $(MAN1DIR)
	$(make_directory)  $(MAN3DIR)
	$(make_directory)  $(DOCDIR)
	$(install_program) debian/postinst  $(TMPTOP)/DEBIAN/postinst
	$(install_program) debian/prerm     $(TMPTOP)/DEBIAN/prerm
	$(install_file)	   debian/changelog $(DOCDIR)/changelog
	$(install_file)	   README           $(DOCDIR)
	$(install_file)	   Requirements     $(DOCDIR)
	$(install_file)	   Class_Hierarchy  $(DOCDIR)
	$(install_file)	   debian/buildinfo $(DOCDIR)/buildinfo.Debian
	-gzip -9qfr	   $(DOCDIR)/
# Make sure the copyright file is not compressed
	$(install_file)	  debian/copyright $(DOCDIR)/copyright
	$(MAKE)            PREFIX=$(TMPTOP)/usr $(CONFIG) pure_install
	-rm -rf            $(TMPTOP)/usr/lib/perl5/5.00*/
	gzip -9qfr         $(TMPTOP)/usr/share/man/
	dpkg-gencontrol -isp
	chmod -R u+w       $(TMPTOP)/usr/
	chown -R root.root $(TMPTOP)/
	dpkg-deb --build   $(TMPTOP) ..
	touch stamp-binary

define checkdir
	test -f	 Debian/Package/Package.pm -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


.PHONY: binary binary-arch binary-indep clean
